com.impinj.octane

## Enum AutoStopMode

- java.lang.Object
- - java.lang.Enum<AutoStopMode>
  - - com.impinj.octane.AutoStopMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutoStopMode>

      public enum AutoStopMode
      extends java.lang.Enum<AutoStopMode>

  The ImpinjReader can be configured to stop inventory automatically based on several inputs including General purpose input (GPI) and time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Duration` stop after a duration of time
    `GpiTrigger` stop based on a general purpose input pin
    `None` do not automatically stop

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AutoStopMode` | `valueOf(int autoStopModeValue)`
    `static AutoStopMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutoStopMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final AutoStopMode None

      do not automatically stop

    - #### Duration

          public static final AutoStopMode Duration

      stop after a duration of time

    - #### GpiTrigger

          public static final AutoStopMode GpiTrigger

      stop based on a general purpose input pin

  - ### Method Detail

    - #### values

          public static AutoStopMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoStopMode c : AutoStopMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoStopMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static AutoStopMode valueOf(int autoStopModeValue)

      Parameters:
        `autoStopModeValue` - the integer value
      Returns:
        the enumeration object for the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value for the enumeration